Bug 44547

GemBuilder for Java

3.1.1

Android

3.1.2

GBJ/Android limited to Android 4.2 Jellybean (API level 17) and later

Versions of Android prior to 4.2 Jellybean use a version of SSL that is incompatible with the SSL version used in GemStone.  Attempts to run a GBJ/Android app on a phone/tablet with a version of Android earlier than 4.2 will fail when the app attempts to login and load the SSL library.  The error generated is:

Error during login:, ssl library initialization failed

Workaround

Upgrade the device to Android 4.2 or later.


Last updated: 8/12/14